## org.eclipse.jst.jsf.facesconfig.emf
Interface DynamicElement

All Known Implementing Classes:
  DynamicElementImpl

    public interface DynamicElement

A representation of the model object 'Dynamic Element'.

The following features are supported:

- `Child Nodes`
- `Name`
- `Attributes`
- `Text Content`

See Also:
  `FacesConfigPackage.getDynamicElement()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttributes()` Returns the value of the 'Attributes' reference list.
`EList` `getChildNodes()` Returns the value of the 'Child Nodes' containment reference list.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getTextContent()` Returns the value of the 'Text Content' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setTextContent(java.lang.String value)` Sets the value of the '`Text Content`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildNodes

    EList getChildNodes()

  Returns the value of the 'Child Nodes' containment reference list. The list contents are of type `DynamicElement`.

  If the meaning of the 'Child Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' containment reference list.
  See Also:
    `FacesConfigPackage.getDynamicElement_ChildNodes()`

### getAttributes

    EList getAttributes()

  Returns the value of the 'Attributes' reference list. The list contents are of type `DynamicAttribute`.

  If the meaning of the 'Attributes' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes' reference list.
  See Also:
    `FacesConfigPackage.getDynamicElement_Attributes()`

### getTextContent

    java.lang.String getTextContent()

  Returns the value of the 'Text Content' attribute.

  If the meaning of the 'Text Content' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Content' attribute.
  See Also:
    `setTextContent(String)`, `FacesConfigPackage.getDynamicElement_TextContent()`

### setTextContent

    void setTextContent(java.lang.String value)

  Sets the value of the '`Text Content`' attribute.

  Parameters:
    `value` - the new value of the 'Text Content' attribute.
  See Also:
    `getTextContent()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `FacesConfigPackage.getDynamicElement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`